<?php
/**
 * @Packge     : Webteck
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://www.themeholy.com/
 *
 */

// Block direct access
if ( !defined( 'ABSPATH' ) ) {
    exit;
}



if ( ! function_exists( 'webteck_setup' ) ){
    function webteck_setup() {

    	$selected_options   =   get_option('et_selected_webteck_demo_plugin');

        // content width
        $GLOBALS['content_width'] = apply_filters( 'webteck_content_width', 751 );

        // language file
		load_theme_textdomain( 'webteck', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		// title tag
		add_theme_support( 'title-tag' );

		// post thumbnails
		

        register_nav_menus( array(
            'primary-menu'      => esc_html__( 'Primary Menu', 'webteck' ),
            'footer-menu'      => esc_html__( 'Footer Menu', 'webteck' ),
        ) );

		//support html5
		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'script',
				'style'
			)
		);


        // support post format
        add_theme_support( 'post-formats', array( 'audio', 'video', 'gallery', 'quote') );

		// Custom logo
		add_theme_support( 'custom-logo' );

		// Add theme support for selective refresh for widgets.
		add_theme_support( 'customize-selective-refresh-widgets' );

		// Add support for Block Styles.
		add_theme_support( 'wp-block-styles' );

		// Add support for full and wide align images.
		add_theme_support( 'align-wide' );

		// Add support for editor styles.
		add_theme_support( 'editor-styles' );

		// Enqueue editor styles.
		add_editor_style( 'assets/css/style-editor.css' );

		// Add support for responsive embedded content.
		add_theme_support( 'responsive-embeds' );

		add_image_size( 'webteck_80X80', 80, 80, true );

		add_theme_support( 'post-thumbnails' );

		if($selected_options == 'with_woocommerce'){
	        // support woocommerce
	        add_theme_support( 'woocommerce' );
	        add_theme_support( 'wc-product-gallery-zoom' );
	        add_theme_support( 'wc-product-gallery-slider' );

	        add_image_size( 'webteck-shop-single',555,592,true );
	        add_image_size( 'webteck-shop-single-small-image',150,150,true );
	    }

	}
}
add_action( 'after_setup_theme', 'webteck_setup' );