<?php

/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @see http://tgmpluginactivation.com/configuration/ for detailed documentation.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1 for parent theme ecohost for publication on ThemeForest
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */



/**
 * Include the TGM_Plugin_Activation class.
 */
require_once WEBTECK_DIR_PATH_FRAM . 'plugins-activation/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'webteck_register_required_plugins' );
function webteck_register_required_plugins() {

    /*
    * Array of plugin arrays. Required keys are name and slug.
    * If the source is NOT from the .org repo, then source is also required.
    */


    $selected_options   =   get_option('et_selected_webteck_demo_plugin');



    if($selected_options == 'with_woocommerce'){

        $plugins = array(
            array(
                'name'                  => esc_html__( 'One Click Demo Importer', 'webteck' ),
                'slug'                  => 'one-click-demo-import',
                'required'              => true,
            ),

            array(
                'name'      => esc_html__( 'Elementor', 'webteck' ),
                'slug'      => 'elementor',
                'version'   => '',
                'required'  => true,
            ),

            array(
                'name'      => esc_html__( 'Redux Framework', 'webteck' ),
                'slug'      => 'redux-framework',
                'version'   => '',
                'required'  => true,
            ),

            array(
                'name'      => esc_html__( 'CMB2', 'webteck' ),
                'slug'      => 'cmb2',
                'required'  => true,
            ),

            array(
                'name'      => esc_html__( 'Contact Form 7', 'webteck' ),
                'slug'      => 'contact-form-7',
                'version'   => '',
                'required'  => true,
            ),
            array(
                'name'                  => esc_html__( 'Webteck Core', 'webteck' ),
                'slug'                  => 'webteck-core',
                'version'               => '1.0',
                'source'                => WEBTECK_DIR_PATH_FRAM . 'plugins/webteck-core.zip',
                'required'              => true,
            ),
            array(
                'name'      => esc_html__( 'WooCommerce', 'webteck' ),
                'slug'      => 'woocommerce',
                'version'   => '',
                'required'  => true,
            ),

            array(
                'name'      => esc_html__( 'WPC Smart Wishlist for WooCommerce', 'webteck' ),
                'slug'      => 'woo-smart-wishlist',
                'version'   => '',
                'required'  => true,
            ),
            array(
                'name'      => esc_html__( 'WPC Smart Quick View for WooCommerce', 'webteck' ),
                'slug'      => 'woo-smart-quick-view',
                'version'   => '',
                'required'  => true,
            ),
        );

    }else{

        $plugins = array(
            array(
                'name'                  => esc_html__( 'One Click Demo Importer', 'webteck' ),
                'slug'                  => 'one-click-demo-import',
                'required'              => true,
            ),

            array(
                'name'      => esc_html__( 'Elementor', 'webteck' ),
                'slug'      => 'elementor',
                'version'   => '',
                'required'  => true,
            ),

            array(
                'name'      => esc_html__( 'Redux Framework', 'webteck' ),
                'slug'      => 'redux-framework',
                'version'   => '',
                'required'  => true,
            ),

            array(
                'name'      => esc_html__( 'CMB2', 'webteck' ),
                'slug'      => 'cmb2',
                'required'  => true,
            ),

            array(
                'name'      => esc_html__( 'Contact Form 7', 'webteck' ),
                'slug'      => 'contact-form-7',
                'version'   => '',
                'required'  => true,
            ),
            array(
                'name'                  => esc_html__( 'Webteck Core', 'webteck' ),
                'slug'                  => 'webteck-core',
                'version'               => '1.0',
                'source'                => WEBTECK_DIR_PATH_FRAM . 'plugins/webteck-core.zip',
                'required'              => true,
            ),
        );
    }

    $config = array(
        'id'           => 'webteck',
        'default_path' => '',
        'menu'         => 'tgmpa-install-plugins',
        'has_notices'  => true,
        'dismissable'  => true,
        'dismiss_msg'  => '',
        'is_automatic' => false,
        'message'      => '',
    );

    tgmpa( $plugins, $config );
}